Subject: Compare two diffs on the command line?

From: Phil Susi <[email-masked]>
Date: Fri, 4 Sep 2015 14:00:36 -0400

If you have a commit that exists on two branches, in gitk you can mark 
one, then select the other and choose to compare the two.  This results 
in a diff of the two diffs, rather than a diff between the two trees, 
which include many other changes that have nothing to do with either commit.

Is there a way to do this on the command line?  I thought it would be 
git diff -c or --cc, but it doesn't seem to filter out all of the other 
differences between the branches.